<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="cdfnor">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>cdfnor</refname>
    <refpurpose> fonction de répartition de la distribution normale  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[P,Q]=cdfnor("PQ",X,Mean,Std)
[X]=cdfnor("X",Mean,Std,P,Q)
[Mean]=cdfnor("Mean",Std,P,Q,X)
[Std]=cdfnor("Std",P,Q,X,Mean)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>P,Q,X,Mean,Std  </term>
        <listitem>
          <para>six vecteurs réels de même taille.
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>P,Q (Q=1-P)  </term>
        <listitem>
          <para>L'intégrale de -infini à X de la densité normale En entrée : (0,1].
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>X  </term>
        <listitem>
          <para>Borne supérieure d'intégration En entrée : ( -infini, +infini)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Mean  </term>
        <listitem>
          <para>moyenne de la densité En entrée : (-infini, +infini)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Sd  </term>
        <listitem>
          <para>écart-type de la densité En entrée : (0, +infini).
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Étant donnés les autres, calcule un paramètre de la distribution normale.
  </para>
    <para>
    Une version légèrement modifiée de ANORM :
  </para>
    <para>
    Cody, W.D. (1993). "ALGORITHM 715: SPECFUN - A Portable FORTRAN
    Package of Special Function Routines and Test Drivers"
    acm Transactions on Mathematical Software. 19, 22-32.
  </para>
    <para>
    est utilisée.
  </para>
    <para>
    Les fonctions rationnelles des pages 90-95 de 
  </para>
    <para>
    Kennedy and Gentle,
    Statistical  Computing,  Marcel  Dekker, NY,  1980 
  </para>
    <para>
    sont utilisées comme valeurs de départ pour les itérations de Newton calculant l'inverse de la distribution.  Aucune recherche n'est donc nécessaire pour aucun des paramètres.
  </para>
    <para>
    Pour X &lt; -15, le développement asymptotique de la loi normale est utilisé comme valeur de départ pour trouver l'inverse. Il s'agit de la formule 26.2.12 de Abramowitz et Stegun.
  </para>
    <para>
    La densité normale est proportionnelle à
    exp( - 0.5 * (( X - MEAN)/SD)**2)
  </para>
    <para>
    Tiré de la librairie DCDFLIB: Library of Fortran Routines for Cumulative Distribution
    Functions, Inverses, and Other Parameters (February, 1994)
    Barry W. Brown, James Lovato and Kathy Russell. The University of
    Texas.
  </para>
  </refsection>
</refentry>
